Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.enhance
Interface StateManager

All Known Subinterfaces:
  OpenJPAStateManager

All Known Implementing Classes:
  DetachedStateManager, DetachedValueStateManager, ObjectIdStateManager, ProxySetupStateManager, StateManagerImpl

    public interface StateManager

Internal state manager for managed instances.

Field Summary
`static int` | `SET_ATTACH`
`static int` | `SET_REMOTE`
`static int` | `SET_USER`

Method Summary
`void` | `accessingField(int idx)` Field access callback.
`void` | `dirty(String field)` Make named field dirty.
`Object` | `fetchObjectId()` Return the object id, assigning it if necessary.
`Object` | `getGenericContext()` Persistence context.
`Object` | `getPCPrimaryKey(Object oid, int field)` Return the persistence-capable primary key object by extracting the identity value of the related instance stored in the given field from the given object id.
`Object` | `getVersion()` Returns the optimistic version for this instance.
`boolean` | `isDeleted()` Whether the instance is deleted in this transaction.
`boolean` | `isDetached()` Whether the instance is detached (i.e.
`boolean` | `isDirty()` Whether the instance has been modified in this transaction.
`boolean` | `isNew()` Whether the instance is newly-persisted in this transaction.
`boolean` | `isPersistent()` Whether the instance is persistent.
`boolean` | `isTransactional()` Whether the instance is transactional.
`void` | `providedBooleanField(PersistenceCapable pc, int idx, boolean cur)` Provide state callback.
`void` | `providedByteField(PersistenceCapable pc, int idx, byte cur)` Provide state callback.
`void` | `providedCharField(PersistenceCapable pc, int idx, char cur)` Provide state callback.
`void` | `providedDoubleField(PersistenceCapable pc, int idx, double cur)` Provide state callback.
`void` | `providedFloatField(PersistenceCapable pc, int idx, float cur)` Provide state callback.
`void` | `providedIntField(PersistenceCapable pc, int idx, int cur)` Provide state callback.
`void` | `providedLongField(PersistenceCapable pc, int idx, long cur)` Provide state callback.
`void` | `providedObjectField(PersistenceCapable pc, int idx, Object cur)` Provide state callback.
`void` | `providedShortField(PersistenceCapable pc, int idx, short cur)` Provide state callback.
`void` | `providedStringField(PersistenceCapable pc, int idx, String cur)` Provide state callback.
`void` | `proxyDetachedDeserialized(int idx)` Proxy the given detached field after deserialization.
`boolean` | `replaceBooleanField(PersistenceCapable pc, int idx)` Replace state callback.
`byte` | `replaceByteField(PersistenceCapable pc, int idx)` Replace state callback.
`char` | `replaceCharField(PersistenceCapable pc, int idx)` Replace state callback.
`double` | `replaceDoubleField(PersistenceCapable pc, int idx)` Replace state callback.
`float` | `replaceFloatField(PersistenceCapable pc, int idx)` Replace state callback.
`int` | `replaceIntField(PersistenceCapable pc, int idx)` Replace state callback.
`long` | `replaceLongField(PersistenceCapable pc, int idx)` Replace state callback.
`Object` | `replaceObjectField(PersistenceCapable pc, int idx)` Replace state callback.
`short` | `replaceShortField(PersistenceCapable pc, int idx)` Replace state callback.
`StateManager` | `replaceStateManager(StateManager sm)` Change state manager.
`String` | `replaceStringField(PersistenceCapable pc, int idx)` Replace state callback.
`boolean` | `serializing()` Callback to prepare instance for serialization.
`void` | `settingBooleanField(PersistenceCapable pc, int idx, boolean cur, boolean next, int set)` Setting state callback.
`void` | `settingByteField(PersistenceCapable pc, int idx, byte cur, byte next, int set)` Setting state callback.
`void` | `settingCharField(PersistenceCapable pc, int idx, char cur, char next, int set)` Setting state callback.
`void` | `settingDoubleField(PersistenceCapable pc, int idx, double cur, double next, int set)` Setting state callback.
`void` | `settingFloatField(PersistenceCapable pc, int idx, float cur, float next, int set)` Setting state callback.
`void` | `settingIntField(PersistenceCapable pc, int idx, int cur, int next, int set)` Setting state callback.
`void` | `settingLongField(PersistenceCapable pc, int idx, long cur, long next, int set)` Setting state callback.
`void` | `settingObjectField(PersistenceCapable pc, int idx, Object cur, Object next, int set)` Setting state callback.
`void` | `settingShortField(PersistenceCapable pc, int idx, short cur, short next, int set)` Setting state callback.
`void` | `settingStringField(PersistenceCapable pc, int idx, String cur, String next, int set)` Setting state callback.
`boolean` | `writeDetached(ObjectOutput out)` Write detached state object and detached state manager to the given stream.

Field Detail

### SET_USER

    static final int SET_USER

See Also:
  Constant Field Values

### SET_REMOTE

    static final int SET_REMOTE

See Also:
  Constant Field Values

### SET_ATTACH

    static final int SET_ATTACH

See Also:
  Constant Field Values

Method Detail

### getGenericContext

    Object getGenericContext()

  Persistence context.

### getPCPrimaryKey

    Object getPCPrimaryKey(Object oid,
                           int field)

  Return the persistence-capable primary key object by extracting the identity value of the related instance stored in the given field from the given object id.

### replaceStateManager

    StateManager replaceStateManager(StateManager sm)

  Change state manager.

### getVersion

    Object getVersion()

  Returns the optimistic version for this instance.

### isDirty

    boolean isDirty()

  Whether the instance has been modified in this transaction.

### isTransactional

    boolean isTransactional()

  Whether the instance is transactional.

### isPersistent

    boolean isPersistent()

  Whether the instance is persistent.

### isNew

    boolean isNew()

  Whether the instance is newly-persisted in this transaction.

### isDeleted

    boolean isDeleted()

  Whether the instance is deleted in this transaction.

### isDetached

    boolean isDetached()

  Whether the instance is detached (i.e. this manager is a detached state manager)

### dirty

    void dirty(String field)

  Make named field dirty.

### fetchObjectId

    Object fetchObjectId()

  Return the object id, assigning it if necessary.

### serializing

    boolean serializing()

  Callback to prepare instance for serialization.

  Returns:
    true to null detached state after serialize

### writeDetached

    boolean writeDetached(ObjectOutput out)
                          throws IOException

  Write detached state object and detached state manager to the given stream.

  Returns:
    true if managed fields also written to stream
  Throws:
    `IOException`

### proxyDetachedDeserialized

    void proxyDetachedDeserialized(int idx)

  Proxy the given detached field after deserialization.

### accessingField

    void accessingField(int idx)

  Field access callback.

### settingBooleanField

    void settingBooleanField(PersistenceCapable pc,
                             int idx,
                             boolean cur,
                             boolean next,
                             int set)

  Setting state callback.

### settingCharField

    void settingCharField(PersistenceCapable pc,
                          int idx,
                          char cur,
                          char next,
                          int set)

  Setting state callback.

### settingByteField

    void settingByteField(PersistenceCapable pc,
                          int idx,
                          byte cur,
                          byte next,
                          int set)

  Setting state callback.

### settingShortField

    void settingShortField(PersistenceCapable pc,
                           int idx,
                           short cur,
                           short next,
                           int set)

  Setting state callback.

### settingIntField

    void settingIntField(PersistenceCapable pc,
                         int idx,
                         int cur,
                         int next,
                         int set)

  Setting state callback.

### settingLongField

    void settingLongField(PersistenceCapable pc,
                          int idx,
                          long cur,
                          long next,
                          int set)

  Setting state callback.

### settingFloatField

    void settingFloatField(PersistenceCapable pc,
                           int idx,
                           float cur,
                           float next,
                           int set)

  Setting state callback.

### settingDoubleField

    void settingDoubleField(PersistenceCapable pc,
                            int idx,
                            double cur,
                            double next,
                            int set)

  Setting state callback.

### settingStringField

    void settingStringField(PersistenceCapable pc,
                            int idx,
                            String cur,
                            String next,
                            int set)

  Setting state callback.

### settingObjectField

    void settingObjectField(PersistenceCapable pc,
                            int idx,
                            Object cur,
                            Object next,
                            int set)

  Setting state callback.

### providedBooleanField

    void providedBooleanField(PersistenceCapable pc,
                              int idx,
                              boolean cur)

  Provide state callback.

### providedCharField

    void providedCharField(PersistenceCapable pc,
                           int idx,
                           char cur)

  Provide state callback.

### providedByteField

    void providedByteField(PersistenceCapable pc,
                           int idx,
                           byte cur)

  Provide state callback.

### providedShortField

    void providedShortField(PersistenceCapable pc,
                            int idx,
                            short cur)

  Provide state callback.

### providedIntField

    void providedIntField(PersistenceCapable pc,
                          int idx,
                          int cur)

  Provide state callback.

### providedLongField

    void providedLongField(PersistenceCapable pc,
                           int idx,
                           long cur)

  Provide state callback.

### providedFloatField

    void providedFloatField(PersistenceCapable pc,
                            int idx,
                            float cur)

  Provide state callback.

### providedDoubleField

    void providedDoubleField(PersistenceCapable pc,
                             int idx,
                             double cur)

  Provide state callback.

### providedStringField

    void providedStringField(PersistenceCapable pc,
                             int idx,
                             String cur)

  Provide state callback.

### providedObjectField

    void providedObjectField(PersistenceCapable pc,
                             int idx,
                             Object cur)

  Provide state callback.

### replaceBooleanField

    boolean replaceBooleanField(PersistenceCapable pc,
                                int idx)

  Replace state callback.

### replaceCharField

    char replaceCharField(PersistenceCapable pc,
                          int idx)

  Replace state callback.

### replaceByteField

    byte replaceByteField(PersistenceCapable pc,
                          int idx)

  Replace state callback.

### replaceShortField

    short replaceShortField(PersistenceCapable pc,
                            int idx)

  Replace state callback.

### replaceIntField

    int replaceIntField(PersistenceCapable pc,
                        int idx)

  Replace state callback.

### replaceLongField

    long replaceLongField(PersistenceCapable pc,
                          int idx)

  Replace state callback.

### replaceFloatField

    float replaceFloatField(PersistenceCapable pc,
                            int idx)

  Replace state callback.

### replaceDoubleField

    double replaceDoubleField(PersistenceCapable pc,
                              int idx)

  Replace state callback.

### replaceStringField

    String replaceStringField(PersistenceCapable pc,
                              int idx)

  Replace state callback.

### replaceObjectField

    Object replaceObjectField(PersistenceCapable pc,
                              int idx)

  Replace state callback.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.